/* Utils.c generated by valac 0.34.4, the Vala compiler
 * generated from Utils.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <NetworkManager.h>
#include <nm-device-wifi.h>
#include <nm-connection.h>
#include <nm-client.h>
#include <nm-device.h>
#include <nm-setting-connection.h>
#include <nm-setting.h>
#include <nm-setting-wireless.h>
#include <nm-setting-ip4-config.h>
#include <nm-setting-wireless-security.h>
#include <nm-active-connection.h>
#include <nm-remote-connection.h>
#include <nm-remote-settings.h>
#include <gobject/gvaluecollector.h>


#define NETWORK_TYPE_UTILS (network_utils_get_type ())
#define NETWORK_UTILS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_TYPE_UTILS, NetworkUtils))
#define NETWORK_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_TYPE_UTILS, NetworkUtilsClass))
#define NETWORK_IS_UTILS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_TYPE_UTILS))
#define NETWORK_IS_UTILS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_TYPE_UTILS))
#define NETWORK_UTILS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_TYPE_UTILS, NetworkUtilsClass))

typedef struct _NetworkUtils NetworkUtils;
typedef struct _NetworkUtilsClass NetworkUtilsClass;
typedef struct _NetworkUtilsPrivate NetworkUtilsPrivate;

#define NETWORK_UTILS_TYPE_CUSTOM_MODE (network_utils_custom_mode_get_type ())

#define NETWORK_UTILS_TYPE_ITEM_TYPE (network_utils_item_type_get_type ())

#define NETWORK_UTILS_TYPE_HOTSPOT (network_utils_hotspot_get_type ())
#define NETWORK_UTILS_HOTSPOT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspot))
#define NETWORK_UTILS_HOTSPOT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspotClass))
#define NETWORK_UTILS_IS_HOTSPOT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_UTILS_TYPE_HOTSPOT))
#define NETWORK_UTILS_IS_HOTSPOT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_UTILS_TYPE_HOTSPOT))
#define NETWORK_UTILS_HOTSPOT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspotClass))

typedef struct _NetworkUtilsHotspot NetworkUtilsHotspot;
typedef struct _NetworkUtilsHotspotClass NetworkUtilsHotspotClass;
typedef struct _NetworkUtilsHotspotPrivate NetworkUtilsHotspotPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block1Data Block1Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block2Data Block2Data;
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
typedef struct _NetworkUtilsParamSpecHotspot NetworkUtilsParamSpecHotspot;
typedef struct _NetworkParamSpecUtils NetworkParamSpecUtils;

struct _NetworkUtils {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NetworkUtilsPrivate * priv;
};

struct _NetworkUtilsClass {
	GTypeClass parent_class;
	void (*finalize) (NetworkUtils *self);
};

typedef enum  {
	NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE = 0,
	NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL,
	NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO,
	NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED,
	NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED,
	NETWORK_UTILS_CUSTOM_MODE_INVALID
} NetworkUtilsCustomMode;

typedef enum  {
	NETWORK_UTILS_ITEM_TYPE_DEVICE = 0,
	NETWORK_UTILS_ITEM_TYPE_VIRTUAL,
	NETWORK_UTILS_ITEM_TYPE_INVALID
} NetworkUtilsItemType;

struct _NetworkUtilsHotspot {
	GTypeInstance parent_instance;
	volatile int ref_count;
	NetworkUtilsHotspotPrivate * priv;
};

struct _NetworkUtilsHotspotClass {
	GTypeClass parent_class;
	void (*finalize) (NetworkUtilsHotspot *self);
};

typedef void (*NetworkUtilsHotspotUpdateSecretCallback) (void* user_data);
struct _Block1Data {
	int _ref_count_;
	NetworkUtilsHotspotUpdateSecretCallback callback;
	gpointer callback_target;
};

struct _Block2Data {
	int _ref_count_;
	NMDeviceWifi* wifi_device;
};

struct _NetworkUtilsParamSpecHotspot {
	GParamSpec parent_instance;
};

struct _NetworkParamSpecUtils {
	GParamSpec parent_instance;
};


static gpointer network_utils_parent_class = NULL;
static gpointer network_utils_hotspot_parent_class = NULL;
extern NMClient* client;

#define NETWORK_UNKNOWN_STR _ ("Unknown")
gpointer network_utils_ref (gpointer instance);
void network_utils_unref (gpointer instance);
GParamSpec* network_param_spec_utils (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void network_value_set_utils (GValue* value, gpointer v_object);
void network_value_take_utils (GValue* value, gpointer v_object);
gpointer network_value_get_utils (const GValue* value);
GType network_utils_get_type (void) G_GNUC_CONST;
enum  {
	NETWORK_UTILS_DUMMY_PROPERTY
};
GType network_utils_custom_mode_get_type (void) G_GNUC_CONST;
GType network_utils_item_type_get_type (void) G_GNUC_CONST;
gchar* network_utils_state_to_string (NMDeviceState state);
gchar* network_utils_type_to_string (NMDeviceType type);
NetworkUtils* network_utils_new (void);
NetworkUtils* network_utils_construct (GType object_type);
gpointer network_utils_hotspot_ref (gpointer instance);
void network_utils_hotspot_unref (gpointer instance);
GParamSpec* network_utils_param_spec_hotspot (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags);
void network_utils_value_set_hotspot (GValue* value, gpointer v_object);
void network_utils_value_take_hotspot (GValue* value, gpointer v_object);
gpointer network_utils_value_get_hotspot (const GValue* value);
GType network_utils_hotspot_get_type (void) G_GNUC_CONST;
enum  {
	NETWORK_UTILS_HOTSPOT_DUMMY_PROPERTY
};
void network_utils_hotspot_activate_hotspot (NMDeviceWifi* wifi_device, GByteArray* ssid, const gchar* key, NMConnection* selected);
static void network_utils_hotspot_set_wpa_key (NMSettingWirelessSecurity* setting, const gchar* key);
static void network_utils_hotspot_set_wep_key (NMSettingWirelessSecurity* setting, const gchar* key);
static void network_utils_hotspot_finish_connection_cb (NMClient* cb_client, NMActiveConnection* cb_connection, const gchar* new_connection_path, GError* _error_);
static void _network_utils_hotspot_finish_connection_cb_nm_client_add_activate_fn (NMClient* client, NMActiveConnection* connection, const gchar* new_connection_path, GError* _error_, gpointer self);
void network_utils_hotspot_update_secrets (NMRemoteConnection* connection, NetworkUtilsHotspotUpdateSecretCallback callback, void* callback_target);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void __lambda4_ (Block1Data* _data1_, NMRemoteConnection* _connection, GHashTable* secrets, GError* _error_);
static void ___lambda4__nm_remote_connection_get_secrets_func (NMRemoteConnection* connection, GHashTable* secrets, GError* _error_, gpointer self);
void network_utils_hotspot_deactivate_hotspot (NMDeviceWifi* wifi_device);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static void __lambda5_ (Block2Data* _data2_, NMActiveConnection* active_connection);
static void ___lambda5__gfunc (gconstpointer data, gpointer self);
gboolean network_utils_hotspot_get_device_is_hotspot (NMDeviceWifi* wifi_device, NMRemoteSettings* nm_settings);
gboolean network_utils_hotspot_get_connection_is_hotspot (NMConnection* connection);
NetworkUtilsHotspot* network_utils_hotspot_new (void);
NetworkUtilsHotspot* network_utils_hotspot_construct (GType object_type);
static void network_utils_hotspot_finalize (NetworkUtilsHotspot* obj);
static void network_utils_finalize (NetworkUtils* obj);


GType network_utils_custom_mode_get_type (void) {
	static volatile gsize network_utils_custom_mode_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_custom_mode_type_id__volatile)) {
		static const GEnumValue values[] = {{NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE, "NETWORK_UTILS_CUSTOM_MODE_PROXY_NONE", "proxy-none"}, {NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL, "NETWORK_UTILS_CUSTOM_MODE_PROXY_MANUAL", "proxy-manual"}, {NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO, "NETWORK_UTILS_CUSTOM_MODE_PROXY_AUTO", "proxy-auto"}, {NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED, "NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_ENABLED", "hotspot-enabled"}, {NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED, "NETWORK_UTILS_CUSTOM_MODE_HOTSPOT_DISABLED", "hotspot-disabled"}, {NETWORK_UTILS_CUSTOM_MODE_INVALID, "NETWORK_UTILS_CUSTOM_MODE_INVALID", "invalid"}, {0, NULL, NULL}};
		GType network_utils_custom_mode_type_id;
		network_utils_custom_mode_type_id = g_enum_register_static ("NetworkUtilsCustomMode", values);
		g_once_init_leave (&network_utils_custom_mode_type_id__volatile, network_utils_custom_mode_type_id);
	}
	return network_utils_custom_mode_type_id__volatile;
}


GType network_utils_item_type_get_type (void) {
	static volatile gsize network_utils_item_type_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_item_type_type_id__volatile)) {
		static const GEnumValue values[] = {{NETWORK_UTILS_ITEM_TYPE_DEVICE, "NETWORK_UTILS_ITEM_TYPE_DEVICE", "device"}, {NETWORK_UTILS_ITEM_TYPE_VIRTUAL, "NETWORK_UTILS_ITEM_TYPE_VIRTUAL", "virtual"}, {NETWORK_UTILS_ITEM_TYPE_INVALID, "NETWORK_UTILS_ITEM_TYPE_INVALID", "invalid"}, {0, NULL, NULL}};
		GType network_utils_item_type_type_id;
		network_utils_item_type_type_id = g_enum_register_static ("NetworkUtilsItemType", values);
		g_once_init_leave (&network_utils_item_type_type_id__volatile, network_utils_item_type_type_id);
	}
	return network_utils_item_type_type_id__volatile;
}


gchar* network_utils_state_to_string (NMDeviceState state) {
	gchar* result = NULL;
	NMDeviceState _tmp0_ = 0;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = state;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	switch (_tmp0_) {
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 224 "Utils.c"
		{
			const gchar* _tmp1_ = NULL;
			gchar* _tmp2_ = NULL;
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp1_ = _ ("Connected");
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp2_ = g_strdup (_tmp1_);
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp2_;
#line 190 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 236 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 240 "Utils.c"
		{
			const gchar* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp3_ = _ ("Disconnected");
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp4_ = g_strdup (_tmp3_);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp4_;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 252 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_UNMANAGED:
#line 256 "Utils.c"
		{
			const gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
#line 194 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp5_ = _ ("Unmanaged");
#line 194 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 194 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp6_;
#line 194 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 268 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_PREPARE:
#line 272 "Utils.c"
		{
			const gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp7_ = _ ("In preparation");
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp8_ = g_strdup (_tmp7_);
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp8_;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 284 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_CONFIG:
#line 288 "Utils.c"
		{
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp9_ = _ ("Connecting…");
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp10_;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 300 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_NEED_AUTH:
#line 304 "Utils.c"
		{
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp11_ = _ ("Requires more information");
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp12_ = g_strdup (_tmp11_);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp12_;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 316 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_IP_CONFIG:
#line 320 "Utils.c"
		{
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp13_ = _ ("Requesting adresses...");
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp14_ = g_strdup (_tmp13_);
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp14_;
#line 202 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 332 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_IP_CHECK:
#line 336 "Utils.c"
		{
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp15_ = _ ("Checking connection...");
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp16_;
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 348 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_SECONDARIES:
#line 352 "Utils.c"
		{
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp17_ = _ ("Waiting for connection...");
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp18_;
#line 206 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 364 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_DEACTIVATING:
#line 368 "Utils.c"
		{
			const gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp19_ = _ ("Disconnecting...");
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp20_ = g_strdup (_tmp19_);
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp20_;
#line 208 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 380 "Utils.c"
		}
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_FAILED:
#line 384 "Utils.c"
		{
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp21_ = _ ("Failed to connect");
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp22_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 396 "Utils.c"
		}
		default:
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_STATE_UNKNOWN:
#line 401 "Utils.c"
		{
			gchar* _tmp23_ = NULL;
#line 213 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp23_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 213 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp23_;
#line 213 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 410 "Utils.c"
		}
	}
}


gchar* network_utils_type_to_string (NMDeviceType type) {
	gchar* result = NULL;
	NMDeviceType _tmp0_ = 0;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = type;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	switch (_tmp0_) {
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_ETHERNET:
#line 425 "Utils.c"
		{
			const gchar* _tmp1_ = NULL;
			gchar* _tmp2_ = NULL;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp1_ = _ ("Ethernet");
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp2_ = g_strdup (_tmp1_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp2_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 437 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_WIFI:
#line 441 "Utils.c"
		{
			const gchar* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
#line 222 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp3_ = _ ("Wi-Fi");
#line 222 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp4_ = g_strdup (_tmp3_);
#line 222 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp4_;
#line 222 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 453 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_UNUSED1:
#line 457 "Utils.c"
		{
			const gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
#line 224 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp5_ = _ ("Not used");
#line 224 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 224 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp6_;
#line 224 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 469 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_UNUSED2:
#line 473 "Utils.c"
		{
			const gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 226 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp7_ = _ ("Not used");
#line 226 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp8_ = g_strdup (_tmp7_);
#line 226 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp8_;
#line 226 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 485 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_BT:
#line 489 "Utils.c"
		{
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 228 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp9_ = _ ("Bluetooth");
#line 228 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 228 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp10_;
#line 228 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 501 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_OLPC_MESH:
#line 505 "Utils.c"
		{
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
#line 230 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp11_ = _ ("OLPC XO");
#line 230 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp12_ = g_strdup (_tmp11_);
#line 230 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp12_;
#line 230 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 517 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_WIMAX:
#line 521 "Utils.c"
		{
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
#line 232 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp13_ = _ ("WiMAX Broadband");
#line 232 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp14_ = g_strdup (_tmp13_);
#line 232 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp14_;
#line 232 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 533 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_MODEM:
#line 537 "Utils.c"
		{
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 234 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp15_ = _ ("Modem");
#line 234 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 234 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp16_;
#line 234 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 549 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_INFINIBAND:
#line 553 "Utils.c"
		{
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 236 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp17_ = _ ("InfiniBand device");
#line 236 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 236 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp18_;
#line 236 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 565 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_BOND:
#line 569 "Utils.c"
		{
			const gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
#line 238 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp19_ = _ ("Bond master");
#line 238 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp20_ = g_strdup (_tmp19_);
#line 238 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp20_;
#line 238 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 581 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_VLAN:
#line 585 "Utils.c"
		{
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 240 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp21_ = _ ("VLAN Interface");
#line 240 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 240 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp22_;
#line 240 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 597 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_ADSL:
#line 601 "Utils.c"
		{
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 242 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp23_ = _ ("ADSL Modem");
#line 242 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp24_ = g_strdup (_tmp23_);
#line 242 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp24_;
#line 242 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 613 "Utils.c"
		}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_BRIDGE:
#line 617 "Utils.c"
		{
			const gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
#line 244 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp25_ = _ ("Bridge master");
#line 244 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 244 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp26_;
#line 244 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 629 "Utils.c"
		}
		default:
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		case NM_DEVICE_TYPE_UNKNOWN:
#line 634 "Utils.c"
		{
			gchar* _tmp27_ = NULL;
#line 247 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp27_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 247 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp27_;
#line 247 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 643 "Utils.c"
		}
	}
}


NetworkUtils* network_utils_construct (GType object_type) {
	NetworkUtils* self = NULL;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self = (NetworkUtils*) g_type_create_instance (object_type);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return self;
#line 655 "Utils.c"
}


NetworkUtils* network_utils_new (void) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return network_utils_construct (NETWORK_TYPE_UTILS);
#line 662 "Utils.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return self ? g_object_ref (self) : NULL;
#line 669 "Utils.c"
}


static void _network_utils_hotspot_finish_connection_cb_nm_client_add_activate_fn (NMClient* client, NMActiveConnection* connection, const gchar* new_connection_path, GError* _error_, gpointer self) {
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	network_utils_hotspot_finish_connection_cb (client, connection, new_connection_path, _error_);
#line 676 "Utils.c"
}


void network_utils_hotspot_activate_hotspot (NMDeviceWifi* wifi_device, GByteArray* ssid, const gchar* key, NMConnection* selected) {
	NMConnection* _tmp0_ = NULL;
	NMConnection* hotspot_c = NULL;
	NMConnection* _tmp4_ = NULL;
	NMSettingConnection* setting_connection = NULL;
	NMSettingConnection* _tmp5_ = NULL;
	NMSettingConnection* _tmp6_ = NULL;
	NMSettingConnection* _tmp7_ = NULL;
	NMSettingConnection* _tmp8_ = NULL;
	NMConnection* _tmp9_ = NULL;
	NMSettingConnection* _tmp10_ = NULL;
	NMSetting* _tmp11_ = NULL;
	NMSettingWireless* setting_wireless = NULL;
	NMSettingWireless* _tmp12_ = NULL;
	gchar* mode = NULL;
	NMDeviceWifiCapabilities caps = 0;
	NMDeviceWifi* _tmp13_ = NULL;
	NMDeviceWifiCapabilities _tmp14_ = 0;
	NMDeviceWifiCapabilities _tmp15_ = 0;
	NMSettingWireless* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	NMSettingWireless* _tmp20_ = NULL;
	NMConnection* _tmp21_ = NULL;
	NMSettingWireless* _tmp22_ = NULL;
	NMSetting* _tmp23_ = NULL;
	NMSettingIP4Config* ip4_setting = NULL;
	NMSettingIP4Config* _tmp24_ = NULL;
	NMSettingIP4Config* _tmp25_ = NULL;
	NMConnection* _tmp26_ = NULL;
	NMSettingIP4Config* _tmp27_ = NULL;
	NMSetting* _tmp28_ = NULL;
	NMSettingWireless* _tmp29_ = NULL;
	GByteArray* _tmp30_ = NULL;
	NMSettingWirelessSecurity* setting_wireless_security = NULL;
	NMSettingWirelessSecurity* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
	NMConnection* _tmp49_ = NULL;
	NMSettingWirelessSecurity* _tmp50_ = NULL;
	NMSetting* _tmp51_ = NULL;
	NMClient* _tmp52_ = NULL;
	NMConnection* _tmp53_ = NULL;
	NMDeviceWifi* _tmp54_ = NULL;
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (wifi_device != NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (ssid != NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = selected;
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp0_ != NULL) {
#line 732 "Utils.c"
		NMClient* _tmp1_ = NULL;
		NMConnection* _tmp2_ = NULL;
		NMDeviceWifi* _tmp3_ = NULL;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp1_ = client;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp2_ = selected;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = wifi_device;
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		nm_client_activate_connection (_tmp1_, _tmp2_, (NMDevice*) _tmp3_, NULL, NULL, NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return;
#line 746 "Utils.c"
	}
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp4_ = nm_connection_new ();
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	hotspot_c = _tmp4_;
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp5_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 38 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_connection = _tmp5_;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp6_ = setting_connection;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set ((GObject*) _tmp6_, NM_SETTING_CONNECTION_TYPE, "802-11-wireless", NULL);
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp7_ = setting_connection;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set ((GObject*) _tmp7_, NM_SETTING_CONNECTION_ID, "Hotspot", NULL);
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp8_ = setting_connection;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp8_, "autoconnect", FALSE, NULL);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp9_ = hotspot_c;
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp10_ = setting_connection;
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp11_ = _g_object_ref0 ((NMSetting*) _tmp10_);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_connection_add_setting (_tmp9_, _tmp11_);
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp12_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 44 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_wireless = _tmp12_;
#line 46 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	mode = NULL;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp13_ = wifi_device;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp14_ = nm_device_wifi_get_capabilities (_tmp13_);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	caps = _tmp14_;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp15_ = caps;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if ((_tmp15_ & NM_WIFI_DEVICE_CAP_AP) != 0) {
#line 792 "Utils.c"
		gchar* _tmp16_ = NULL;
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp16_ = g_strdup (NM_SETTING_WIRELESS_MODE_AP);
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_free0 (mode);
#line 49 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		mode = _tmp16_;
#line 800 "Utils.c"
	} else {
		gchar* _tmp17_ = NULL;
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp17_ = g_strdup (NM_SETTING_WIRELESS_MODE_ADHOC);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_free0 (mode);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		mode = _tmp17_;
#line 809 "Utils.c"
	}
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp18_ = setting_wireless;
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp19_ = mode;
#line 54 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp18_, "mode", _tmp19_, NULL);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp20_ = setting_wireless;
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp20_, "security", "802-11-wireless-security", NULL);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp21_ = hotspot_c;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp22_ = setting_wireless;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp23_ = _g_object_ref0 ((NMSetting*) _tmp22_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_connection_add_setting (_tmp21_, _tmp23_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp24_ = (NMSettingIP4Config*) nm_setting_ip4_config_new ();
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	ip4_setting = _tmp24_;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp25_ = ip4_setting;
#line 60 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp25_, "method", "shared", NULL);
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp26_ = hotspot_c;
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp27_ = ip4_setting;
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp28_ = _g_object_ref0 ((NMSetting*) _tmp27_);
#line 61 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_connection_add_setting (_tmp26_, _tmp28_);
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp29_ = setting_wireless;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp30_ = ssid;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set ((GObject*) _tmp29_, NM_SETTING_WIRELESS_SSID, _tmp30_, NULL);
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp31_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 65 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_wireless_security = _tmp31_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp32_ = mode;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_strcmp0 (_tmp32_, NM_SETTING_WIRELESS_MODE_AP) == 0) {
#line 859 "Utils.c"
		NMDeviceWifiCapabilities _tmp33_ = 0;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp33_ = caps;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		if ((_tmp33_ & NM_WIFI_DEVICE_CAP_RSN) != 0) {
#line 865 "Utils.c"
			NMSettingWirelessSecurity* _tmp34_ = NULL;
			const gchar* _tmp35_ = NULL;
			NMSettingWirelessSecurity* _tmp36_ = NULL;
			NMSettingWirelessSecurity* _tmp37_ = NULL;
			NMSettingWirelessSecurity* _tmp38_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp34_ = setting_wireless_security;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp35_ = key;
#line 69 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			network_utils_hotspot_set_wpa_key (_tmp34_, _tmp35_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp36_ = setting_wireless_security;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			nm_setting_wireless_security_add_proto (_tmp36_, "rsn");
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp37_ = setting_wireless_security;
#line 71 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			nm_setting_wireless_security_add_pairwise (_tmp37_, "ccmp");
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp38_ = setting_wireless_security;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			nm_setting_wireless_security_add_group (_tmp38_, "ccmp");
#line 889 "Utils.c"
		} else {
			NMDeviceWifiCapabilities _tmp39_ = 0;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp39_ = caps;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			if ((_tmp39_ & NM_WIFI_DEVICE_CAP_WPA) != 0) {
#line 896 "Utils.c"
				NMSettingWirelessSecurity* _tmp40_ = NULL;
				const gchar* _tmp41_ = NULL;
				NMSettingWirelessSecurity* _tmp42_ = NULL;
				NMSettingWirelessSecurity* _tmp43_ = NULL;
				NMSettingWirelessSecurity* _tmp44_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp40_ = setting_wireless_security;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp41_ = key;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				network_utils_hotspot_set_wpa_key (_tmp40_, _tmp41_);
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp42_ = setting_wireless_security;
#line 75 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				nm_setting_wireless_security_add_proto (_tmp42_, "wpa");
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp43_ = setting_wireless_security;
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				nm_setting_wireless_security_add_pairwise (_tmp43_, "tkip");
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp44_ = setting_wireless_security;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				nm_setting_wireless_security_add_group (_tmp44_, "tkip");
#line 920 "Utils.c"
			} else {
				NMSettingWirelessSecurity* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp45_ = setting_wireless_security;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp46_ = key;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				network_utils_hotspot_set_wep_key (_tmp45_, _tmp46_);
#line 930 "Utils.c"
			}
		}
	} else {
		NMSettingWirelessSecurity* _tmp47_ = NULL;
		const gchar* _tmp48_ = NULL;
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp47_ = setting_wireless_security;
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp48_ = key;
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_hotspot_set_wep_key (_tmp47_, _tmp48_);
#line 942 "Utils.c"
	}
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp49_ = hotspot_c;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp50_ = setting_wireless_security;
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp51_ = _g_object_ref0 ((NMSetting*) _tmp50_);
#line 85 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_connection_add_setting (_tmp49_, _tmp51_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp52_ = client;
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp53_ = hotspot_c;
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp54_ = wifi_device;
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_client_add_and_activate_connection (_tmp52_, _tmp53_, (NMDevice*) _tmp54_, NULL, _network_utils_hotspot_finish_connection_cb_nm_client_add_activate_fn, NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_wireless_security);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (ip4_setting);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_free0 (mode);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_wireless);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_connection);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (hotspot_c);
#line 972 "Utils.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return _data1_;
#line 981 "Utils.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_slice_free (Block1Data, _data1_);
#line 992 "Utils.c"
	}
}


static void __lambda4_ (Block1Data* _data1_, NMRemoteConnection* _connection, GHashTable* secrets, GError* _error_) {
	NMSettingWireless* setting_wireless = NULL;
	NMRemoteConnection* _tmp0_ = NULL;
	NMSettingWireless* _tmp1_ = NULL;
	NMSettingWireless* _tmp2_ = NULL;
	NetworkUtilsHotspotUpdateSecretCallback _tmp9_ = NULL;
	void* _tmp9__target = NULL;
	GError * _inner_error_ = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (_connection != NULL);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (secrets != NULL);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = _connection;
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = nm_connection_get_setting_wireless ((NMConnection*) _tmp0_);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 94 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_wireless = _tmp2_;
#line 1017 "Utils.c"
	{
		NMRemoteConnection* _tmp3_ = NULL;
		NMSettingWireless* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		GHashTable* _tmp6_ = NULL;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = _connection;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp4_ = setting_wireless;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp5_ = nm_setting_wireless_get_security (_tmp4_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp6_ = secrets;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		nm_connection_update_secrets ((NMConnection*) _tmp3_, _tmp5_, _tmp6_, &_inner_error_);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1035 "Utils.c"
			goto __catch1_g_error;
		}
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		e = _inner_error_;
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_inner_error_ = NULL;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp7_ = e;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp8_ = _tmp7_->message;
#line 98 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_warning ("Utils.vala:98: %s\n", _tmp8_);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_error_free0 (e);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return;
#line 1061 "Utils.c"
	}
	__finally1:
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_clear_error (&_inner_error_);
#line 95 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return;
#line 1074 "Utils.c"
	}
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp9_ = _data1_->callback;
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp9__target = _data1_->callback_target;
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp9_ (_tmp9__target);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_wireless);
#line 1084 "Utils.c"
}


static void ___lambda4__nm_remote_connection_get_secrets_func (NMRemoteConnection* connection, GHashTable* secrets, GError* _error_, gpointer self) {
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	__lambda4_ (self, connection, secrets, _error_);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	block1_data_unref (self);
#line 1093 "Utils.c"
}


void network_utils_hotspot_update_secrets (NMRemoteConnection* connection, NetworkUtilsHotspotUpdateSecretCallback callback, void* callback_target) {
	Block1Data* _data1_;
	NetworkUtilsHotspotUpdateSecretCallback _tmp0_ = NULL;
	void* _tmp0__target = NULL;
	NMRemoteConnection* _tmp1_ = NULL;
	NMRemoteConnection* _tmp2_ = NULL;
	NMSettingWireless* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (connection != NULL);
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data1_->_ref_count_ = 1;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = callback;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0__target = callback_target;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data1_->callback = _tmp0_;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data1_->callback_target = _tmp0__target;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = connection;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = connection;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp3_ = nm_connection_get_setting_wireless ((NMConnection*) _tmp2_);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp4_ = nm_setting_wireless_get_security (_tmp3_);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	nm_remote_connection_get_secrets (_tmp1_, _tmp4_, ___lambda4__nm_remote_connection_get_secrets_func, block1_data_ref (_data1_));
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	block1_data_unref (_data1_);
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data1_ = NULL;
#line 1133 "Utils.c"
}


static Block2Data* block2_data_ref (Block2Data* _data2_) {
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return _data2_;
#line 1142 "Utils.c"
}


static void block2_data_unref (void * _userdata_) {
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (_data2_->wifi_device);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_slice_free (Block2Data, _data2_);
#line 1155 "Utils.c"
	}
}


static gpointer _g_ptr_array_ref0 (gpointer self) {
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 1163 "Utils.c"
}


static void __lambda5_ (Block2Data* _data2_, NMActiveConnection* active_connection) {
	GPtrArray* devices = NULL;
	NMActiveConnection* _tmp0_ = NULL;
	GPtrArray* _tmp1_ = NULL;
	GPtrArray* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GPtrArray* _tmp4_ = NULL;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (active_connection != NULL);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = active_connection;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = nm_active_connection_get_devices (_tmp0_);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = _g_ptr_array_ref0 (_tmp1_);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	devices = _tmp2_;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp4_ = devices;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp4_ != NULL) {
#line 1188 "Utils.c"
		GPtrArray* _tmp5_ = NULL;
		gconstpointer _tmp6_ = NULL;
		NMDeviceWifi* _tmp7_ = NULL;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp5_ = devices;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp6_ = g_ptr_array_index (_tmp5_, (guint) 0);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp7_ = _data2_->wifi_device;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = ((NMDevice*) _tmp6_) == G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, nm_device_get_type (), NMDevice);
#line 1200 "Utils.c"
	} else {
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = FALSE;
#line 1204 "Utils.c"
	}
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp3_) {
#line 1208 "Utils.c"
		NMClient* _tmp8_ = NULL;
		NMActiveConnection* _tmp9_ = NULL;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp8_ = client;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp9_ = active_connection;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		nm_client_deactivate_connection (_tmp8_, _tmp9_);
#line 1217 "Utils.c"
	}
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_ptr_array_unref0 (devices);
#line 1221 "Utils.c"
}


static void ___lambda5__gfunc (gconstpointer data, gpointer self) {
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	__lambda5_ (self, (NMActiveConnection*) data);
#line 1228 "Utils.c"
}


void network_utils_hotspot_deactivate_hotspot (NMDeviceWifi* wifi_device) {
	Block2Data* _data2_;
	NMDeviceWifi* _tmp0_ = NULL;
	NMDeviceWifi* _tmp1_ = NULL;
	NMClient* _tmp2_ = NULL;
	GPtrArray* _tmp3_ = NULL;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (wifi_device != NULL);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data2_->_ref_count_ = 1;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = wifi_device;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (_data2_->wifi_device);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data2_->wifi_device = _tmp1_;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = client;
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp3_ = nm_client_get_active_connections (_tmp2_);
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_ptr_array_foreach (_tmp3_, ___lambda5__gfunc, _data2_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	block2_data_unref (_data2_);
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_data2_ = NULL;
#line 1262 "Utils.c"
}


static void network_utils_hotspot_set_wpa_key (NMSettingWirelessSecurity* setting, const gchar* key) {
	NMSettingWirelessSecurity* _tmp0_ = NULL;
	NMSettingWirelessSecurity* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (setting != NULL);
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = setting;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp0_, "key-mgmt", "wpa-psk", NULL);
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = setting;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = key;
#line 117 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp1_, "psk", _tmp2_, NULL);
#line 1284 "Utils.c"
}


static void network_utils_hotspot_set_wep_key (NMSettingWirelessSecurity* setting, const gchar* key) {
	NMSettingWirelessSecurity* _tmp0_ = NULL;
	NMSettingWirelessSecurity* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NMSettingWirelessSecurity* _tmp3_ = NULL;
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (setting != NULL);
#line 120 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (key != NULL);
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = setting;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp0_, "key-mgmt", "none", NULL);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = setting;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = key;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp1_, "wep-key0", _tmp2_, NULL);
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp3_ = setting;
#line 123 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_object_set (_tmp3_, "wep-key-type", (guint) NM_WEP_KEY_TYPE_PASSPHRASE, NULL);
#line 1311 "Utils.c"
}


gboolean network_utils_hotspot_get_device_is_hotspot (NMDeviceWifi* wifi_device, NMRemoteSettings* nm_settings) {
	gboolean result = FALSE;
	NMDeviceWifi* _tmp0_ = NULL;
	NMActiveConnection* _tmp1_ = NULL;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (wifi_device != NULL, FALSE);
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (nm_settings != NULL, FALSE);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = wifi_device;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = nm_device_get_active_connection ((NMDevice*) _tmp0_);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp1_ != NULL) {
#line 1329 "Utils.c"
		NMRemoteConnection* connection = NULL;
		NMRemoteSettings* _tmp2_ = NULL;
		NMDeviceWifi* _tmp3_ = NULL;
		NMActiveConnection* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		NMRemoteConnection* _tmp6_ = NULL;
		NMRemoteConnection* _tmp7_ = NULL;
		NMRemoteConnection* _tmp8_ = NULL;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp2_ = nm_settings;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = wifi_device;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp4_ = nm_device_get_active_connection ((NMDevice*) _tmp3_);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp5_ = nm_active_connection_get_connection (_tmp4_);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp6_ = nm_remote_settings_get_connection_by_path (_tmp2_, _tmp5_);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp7_ = _g_object_ref0 (_tmp6_);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		connection = _tmp7_;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp8_ = connection;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		if (_tmp8_ != NULL) {
#line 1356 "Utils.c"
			NMSettingIP4Config* ip4_setting = NULL;
			NMRemoteConnection* _tmp9_ = NULL;
			NMSettingIP4Config* _tmp10_ = NULL;
			NMSettingIP4Config* _tmp11_ = NULL;
			gboolean _tmp12_ = FALSE;
			NMSettingIP4Config* _tmp13_ = NULL;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp9_ = connection;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp10_ = nm_connection_get_setting_ip4_config ((NMConnection*) _tmp9_);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp11_ = _g_object_ref0 (_tmp10_);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			ip4_setting = _tmp11_;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_tmp13_ = ip4_setting;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			if (_tmp13_ != NULL) {
#line 1375 "Utils.c"
				NMSettingIP4Config* _tmp14_ = NULL;
				const gchar* _tmp15_ = NULL;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp14_ = ip4_setting;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp15_ = nm_setting_ip4_config_get_method (_tmp14_);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp12_ = g_strcmp0 (_tmp15_, "shared") == 0;
#line 1384 "Utils.c"
			} else {
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
				_tmp12_ = FALSE;
#line 1388 "Utils.c"
			}
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			result = _tmp12_;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_g_object_unref0 (ip4_setting);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			_g_object_unref0 (connection);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return result;
#line 1398 "Utils.c"
		}
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (connection);
#line 1402 "Utils.c"
	}
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	result = FALSE;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return result;
#line 1408 "Utils.c"
}


gboolean network_utils_hotspot_get_connection_is_hotspot (NMConnection* connection) {
	gboolean result = FALSE;
	NMSettingConnection* setting_connection = NULL;
	NMConnection* _tmp0_ = NULL;
	NMSettingConnection* _tmp1_ = NULL;
	NMSettingConnection* _tmp2_ = NULL;
	NMSettingConnection* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	NMSettingWireless* setting_wireless = NULL;
	NMConnection* _tmp5_ = NULL;
	NMSettingWireless* _tmp6_ = NULL;
	NMSettingWireless* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
	NMSettingWireless* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	NMSettingWireless* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	NMSettingIP4Config* ip4_config = NULL;
	NMConnection* _tmp15_ = NULL;
	NMSettingIP4Config* _tmp16_ = NULL;
	NMSettingIP4Config* _tmp17_ = NULL;
	NMSettingIP4Config* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
#line 138 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (connection != NULL, FALSE);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp0_ = connection;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = nm_connection_get_setting_connection (_tmp0_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_connection = _tmp2_;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp3_ = setting_connection;
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp4_ = nm_setting_connection_get_connection_type (_tmp3_);
#line 140 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_strcmp0 (_tmp4_, "802-11-wireless") != 0) {
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		result = FALSE;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return result;
#line 1457 "Utils.c"
	}
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp5_ = connection;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp6_ = nm_connection_get_setting_wireless (_tmp5_);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	setting_wireless = _tmp7_;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp9_ = setting_wireless;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp10_ = nm_setting_wireless_get_mode (_tmp9_);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_strcmp0 (_tmp10_, "adhoc") != 0) {
#line 1473 "Utils.c"
		NMSettingWireless* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp11_ = setting_wireless;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp12_ = nm_setting_wireless_get_mode (_tmp11_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp8_ = g_strcmp0 (_tmp12_, "ap") != 0;
#line 1482 "Utils.c"
	} else {
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp8_ = FALSE;
#line 1486 "Utils.c"
	}
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp8_) {
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		result = FALSE;
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 147 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return result;
#line 1498 "Utils.c"
	}
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp13_ = setting_wireless;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp14_ = nm_setting_wireless_get_security (_tmp13_);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_strcmp0 (_tmp14_, "802-11-wireless-security") != 0) {
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		result = FALSE;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return result;
#line 1514 "Utils.c"
	}
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp15_ = connection;
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp16_ = nm_connection_get_setting_ip4_config (_tmp15_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp17_ = _g_object_ref0 (_tmp16_);
#line 154 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	ip4_config = _tmp17_;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp18_ = ip4_config;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp19_ = nm_setting_ip4_config_get_method (_tmp18_);
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_strcmp0 (_tmp19_, "shared") != 0) {
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		result = FALSE;
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (ip4_config);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_wireless);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_g_object_unref0 (setting_connection);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return result;
#line 1540 "Utils.c"
	}
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	result = TRUE;
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (ip4_config);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_wireless);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_g_object_unref0 (setting_connection);
#line 159 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return result;
#line 1552 "Utils.c"
}


static void network_utils_hotspot_finish_connection_cb (NMClient* cb_client, NMActiveConnection* cb_connection, const gchar* new_connection_path, GError* _error_) {
	gboolean _tmp0_ = FALSE;
	GError* _tmp1_ = NULL;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	_tmp1_ = _error_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp1_ != NULL) {
#line 1563 "Utils.c"
		GError* _tmp2_ = NULL;
		gint _tmp3_ = 0;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp2_ = _error_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp3_ = _tmp2_->code;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp0_ = _tmp3_ != 0;
#line 1572 "Utils.c"
	} else {
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp0_ = FALSE;
#line 1576 "Utils.c"
	}
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (_tmp0_) {
#line 1580 "Utils.c"
		GError* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp4_ = _error_;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		_tmp5_ = _tmp4_->message;
#line 167 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_warning ("Utils.vala:167: %s\n", _tmp5_);
#line 1589 "Utils.c"
	}
}


NetworkUtilsHotspot* network_utils_hotspot_construct (GType object_type) {
	NetworkUtilsHotspot* self = NULL;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self = (NetworkUtilsHotspot*) g_type_create_instance (object_type);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return self;
#line 1600 "Utils.c"
}


NetworkUtilsHotspot* network_utils_hotspot_new (void) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return network_utils_hotspot_construct (NETWORK_UTILS_TYPE_HOTSPOT);
#line 1607 "Utils.c"
}


static void network_utils_value_hotspot_init (GValue* value) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	value->data[0].v_pointer = NULL;
#line 1614 "Utils.c"
}


static void network_utils_value_hotspot_free_value (GValue* value) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_hotspot_unref (value->data[0].v_pointer);
#line 1623 "Utils.c"
	}
}


static void network_utils_value_hotspot_copy_value (const GValue* src_value, GValue* dest_value) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (src_value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		dest_value->data[0].v_pointer = network_utils_hotspot_ref (src_value->data[0].v_pointer);
#line 1633 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1637 "Utils.c"
	}
}


static gpointer network_utils_value_hotspot_peek_pointer (const GValue* value) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1645 "Utils.c"
}


static gchar* network_utils_value_hotspot_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (collect_values[0].v_pointer) {
#line 1652 "Utils.c"
		NetworkUtilsHotspot* object;
		object = collect_values[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		if (object->parent_instance.g_class == NULL) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1659 "Utils.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1663 "Utils.c"
		}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = network_utils_hotspot_ref (object);
#line 1667 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1671 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return NULL;
#line 1675 "Utils.c"
}


static gchar* network_utils_value_hotspot_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	NetworkUtilsHotspot** object_p;
	object_p = collect_values[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (!object_p) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1686 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (!value->data[0].v_pointer) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = NULL;
#line 1692 "Utils.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = value->data[0].v_pointer;
#line 1696 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = network_utils_hotspot_ref (value->data[0].v_pointer);
#line 1700 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return NULL;
#line 1704 "Utils.c"
}


GParamSpec* network_utils_param_spec_hotspot (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	NetworkUtilsParamSpecHotspot* spec;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NETWORK_UTILS_TYPE_HOTSPOT), NULL);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return G_PARAM_SPEC (spec);
#line 1718 "Utils.c"
}


gpointer network_utils_value_get_hotspot (const GValue* value) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT), NULL);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1727 "Utils.c"
}


void network_utils_value_set_hotspot (GValue* value, gpointer v_object) {
	NetworkUtilsHotspot* old;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (v_object) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_hotspot_ref (value->data[0].v_pointer);
#line 1747 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1751 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (old) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_hotspot_unref (old);
#line 1757 "Utils.c"
	}
}


void network_utils_value_take_hotspot (GValue* value, gpointer v_object) {
	NetworkUtilsHotspot* old;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (v_object) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_UTILS_TYPE_HOTSPOT));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 1776 "Utils.c"
	} else {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1780 "Utils.c"
	}
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (old) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_hotspot_unref (old);
#line 1786 "Utils.c"
	}
}


static void network_utils_hotspot_class_init (NetworkUtilsHotspotClass * klass) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	network_utils_hotspot_parent_class = g_type_class_peek_parent (klass);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	((NetworkUtilsHotspotClass *) klass)->finalize = network_utils_hotspot_finalize;
#line 1796 "Utils.c"
}


static void network_utils_hotspot_instance_init (NetworkUtilsHotspot * self) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self->ref_count = 1;
#line 1803 "Utils.c"
}


static void network_utils_hotspot_finalize (NetworkUtilsHotspot* obj) {
	NetworkUtilsHotspot * self;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_UTILS_TYPE_HOTSPOT, NetworkUtilsHotspot);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_signal_handlers_destroy (self);
#line 1813 "Utils.c"
}


GType network_utils_hotspot_get_type (void) {
	static volatile gsize network_utils_hotspot_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_hotspot_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { network_utils_value_hotspot_init, network_utils_value_hotspot_free_value, network_utils_value_hotspot_copy_value, network_utils_value_hotspot_peek_pointer, "p", network_utils_value_hotspot_collect_value, "p", network_utils_value_hotspot_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NetworkUtilsHotspotClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_utils_hotspot_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkUtilsHotspot), 0, (GInstanceInitFunc) network_utils_hotspot_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType network_utils_hotspot_type_id;
		network_utils_hotspot_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NetworkUtilsHotspot", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&network_utils_hotspot_type_id__volatile, network_utils_hotspot_type_id);
	}
	return network_utils_hotspot_type_id__volatile;
}


gpointer network_utils_hotspot_ref (gpointer instance) {
	NetworkUtilsHotspot* self;
	self = instance;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_atomic_int_inc (&self->ref_count);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return instance;
#line 1838 "Utils.c"
}


void network_utils_hotspot_unref (gpointer instance) {
	NetworkUtilsHotspot* self;
	self = instance;
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		NETWORK_UTILS_HOTSPOT_GET_CLASS (self)->finalize (self);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1851 "Utils.c"
	}
}


static void network_value_utils_init (GValue* value) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	value->data[0].v_pointer = NULL;
#line 1859 "Utils.c"
}


static void network_value_utils_free_value (GValue* value) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_unref (value->data[0].v_pointer);
#line 1868 "Utils.c"
	}
}


static void network_value_utils_copy_value (const GValue* src_value, GValue* dest_value) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (src_value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		dest_value->data[0].v_pointer = network_utils_ref (src_value->data[0].v_pointer);
#line 1878 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1882 "Utils.c"
	}
}


static gpointer network_value_utils_peek_pointer (const GValue* value) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1890 "Utils.c"
}


static gchar* network_value_utils_collect_value (GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (collect_values[0].v_pointer) {
#line 1897 "Utils.c"
		NetworkUtils* object;
		object = collect_values[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		if (object->parent_instance.g_class == NULL) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1904 "Utils.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1908 "Utils.c"
		}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = network_utils_ref (object);
#line 1912 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1916 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return NULL;
#line 1920 "Utils.c"
}


static gchar* network_value_utils_lcopy_value (const GValue* value, guint n_collect_values, GTypeCValue* collect_values, guint collect_flags) {
	NetworkUtils** object_p;
	object_p = collect_values[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (!object_p) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1931 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (!value->data[0].v_pointer) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = NULL;
#line 1937 "Utils.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = value->data[0].v_pointer;
#line 1941 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		*object_p = network_utils_ref (value->data[0].v_pointer);
#line 1945 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return NULL;
#line 1949 "Utils.c"
}


GParamSpec* network_param_spec_utils (const gchar* name, const gchar* nick, const gchar* blurb, GType object_type, GParamFlags flags) {
	NetworkParamSpecUtils* spec;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (g_type_is_a (object_type, NETWORK_TYPE_UTILS), NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return G_PARAM_SPEC (spec);
#line 1963 "Utils.c"
}


gpointer network_value_get_utils (const GValue* value) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS), NULL);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return value->data[0].v_pointer;
#line 1972 "Utils.c"
}


void network_value_set_utils (GValue* value, gpointer v_object) {
	NetworkUtils* old;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (v_object) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_ref (value->data[0].v_pointer);
#line 1992 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 1996 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (old) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_unref (old);
#line 2002 "Utils.c"
	}
}


void network_value_take_utils (GValue* value, gpointer v_object) {
	NetworkUtils* old;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	old = value->data[0].v_pointer;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (v_object) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, NETWORK_TYPE_UTILS));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = v_object;
#line 2021 "Utils.c"
	} else {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		value->data[0].v_pointer = NULL;
#line 2025 "Utils.c"
	}
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (old) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		network_utils_unref (old);
#line 2031 "Utils.c"
	}
}


static void network_utils_class_init (NetworkUtilsClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	network_utils_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	((NetworkUtilsClass *) klass)->finalize = network_utils_finalize;
#line 2041 "Utils.c"
}


static void network_utils_instance_init (NetworkUtils * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self->ref_count = 1;
#line 2048 "Utils.c"
}


static void network_utils_finalize (NetworkUtils* obj) {
	NetworkUtils * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_UTILS, NetworkUtils);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_signal_handlers_destroy (self);
#line 2058 "Utils.c"
}


GType network_utils_get_type (void) {
	static volatile gsize network_utils_type_id__volatile = 0;
	if (g_once_init_enter (&network_utils_type_id__volatile)) {
		static const GTypeValueTable g_define_type_value_table = { network_value_utils_init, network_value_utils_free_value, network_value_utils_copy_value, network_value_utils_peek_pointer, "p", network_value_utils_collect_value, "p", network_value_utils_lcopy_value };
		static const GTypeInfo g_define_type_info = { sizeof (NetworkUtilsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_utils_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkUtils), 0, (GInstanceInitFunc) network_utils_instance_init, &g_define_type_value_table };
		static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
		GType network_utils_type_id;
		network_utils_type_id = g_type_register_fundamental (g_type_fundamental_next (), "NetworkUtils", &g_define_type_info, &g_define_type_fundamental_info, 0);
		g_once_init_leave (&network_utils_type_id__volatile, network_utils_type_id);
	}
	return network_utils_type_id__volatile;
}


gpointer network_utils_ref (gpointer instance) {
	NetworkUtils* self;
	self = instance;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	g_atomic_int_inc (&self->ref_count);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	return instance;
#line 2083 "Utils.c"
}


void network_utils_unref (gpointer instance) {
	NetworkUtils* self;
	self = instance;
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		NETWORK_UTILS_GET_CLASS (self)->finalize (self);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Utils.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 2096 "Utils.c"
	}
}



