/* HotspotDialog.c generated by valac 0.34.4, the Vala compiler
 * generated from HotspotDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <nm-connection.h>
#include <nm-access-point.h>
#include <nm-utils.h>
#include <glib/gi18n-lib.h>
#include <nm-setting-wireless.h>
#include <nm-setting-wireless-security.h>
#include <nm-remote-connection.h>


#define NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG (network_widgets_hotspot_dialog_get_type ())
#define NETWORK_WIDGETS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_IS_HOTSPOT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG))
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogClass))

typedef struct _NetworkWidgetsHotspotDialog NetworkWidgetsHotspotDialog;
typedef struct _NetworkWidgetsHotspotDialogClass NetworkWidgetsHotspotDialogClass;
typedef struct _NetworkWidgetsHotspotDialogPrivate NetworkWidgetsHotspotDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_byte_array_unref0(var) ((var == NULL) ? NULL : (var = (g_byte_array_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _NetworkWidgetsHotspotDialog {
	GtkDialog parent_instance;
	NetworkWidgetsHotspotDialogPrivate * priv;
};

struct _NetworkWidgetsHotspotDialogClass {
	GtkDialogClass parent_class;
};

struct _NetworkWidgetsHotspotDialogPrivate {
	GtkEntry* ssid_entry;
	GtkEntry* key_entry;
	GtkLabel* ssid_label;
	GtkLabel* key_label;
	GtkComboBoxText* conn_combo;
	GtkCheckButton* check_btn;
	GtkLabel* dumb;
	GtkButton* create_btn;
	GHashTable* conn_hash;
	GList* available;
};

typedef void (*NetworkUtilsHotspotUpdateSecretCallback) (void* user_data);

static gpointer network_widgets_hotspot_dialog_parent_class = NULL;

GType network_widgets_hotspot_dialog_get_type (void) G_GNUC_CONST;
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialogPrivate))
enum  {
	NETWORK_WIDGETS_HOTSPOT_DIALOG_DUMMY_PROPERTY
};
#define NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID "0"
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_new (NMAccessPoint* active, GList* _available);
NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_construct (GType object_type, NMAccessPoint* active, GList* _available);
static void _g_free0_ (gpointer var);
static void _g_object_unref0_ (gpointer var);
static gchar* network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self);
static void __lambda23_ (NetworkWidgetsHotspotDialog* self);
static void ___lambda23__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self);
static void _network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender, gpointer self);
static void _network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
GByteArray* network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self);
gchar* network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self);
NMConnection* network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self);
void network_utils_hotspot_update_secrets (NMRemoteConnection* connection, NetworkUtilsHotspotUpdateSecretCallback callback, void* callback_target);
static void _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self);
static void network_widgets_hotspot_dialog_finalize (GObject* obj);


static void _g_free0_ (gpointer var) {
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	var = (g_free (var), NULL);
#line 108 "HotspotDialog.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 115 "HotspotDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 122 "HotspotDialog.c"
}


static void __lambda23_ (NetworkWidgetsHotspotDialog* self) {
	GtkEntry* _tmp0_ = NULL;
	GtkCheckButton* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->check_btn;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = _tmp2_;
#line 93 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp0_, _tmp3_);
#line 141 "HotspotDialog.c"
}


static void ___lambda23__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	__lambda23_ ((NetworkWidgetsHotspotDialog*) self);
#line 148 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 155 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 162 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_construct (GType object_type, NMAccessPoint* active, GList* _available) {
	NetworkWidgetsHotspotDialog * self = NULL;
	GList* _tmp0_ = NULL;
	GHashFunc _tmp1_ = NULL;
	GEqualFunc _tmp2_ = NULL;
	GHashTable* _tmp3_ = NULL;
	GtkBox* content_area = NULL;
	GtkBox* _tmp4_ = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
	GtkBox* _tmp7_ = NULL;
	GtkBox* main_box = NULL;
	GtkBox* _tmp8_ = NULL;
	GtkBox* vbox = NULL;
	GtkBox* _tmp9_ = NULL;
	GtkBox* _tmp10_ = NULL;
	GtkBox* _tmp11_ = NULL;
	gchar* ssid_str = NULL;
	NMAccessPoint* _tmp12_ = NULL;
	GtkLabel* title = NULL;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkImage* image = NULL;
	GtkImage* _tmp27_ = NULL;
	GtkImage* _tmp28_ = NULL;
	GtkBox* _tmp29_ = NULL;
	GtkImage* _tmp30_ = NULL;
	GtkLabel* info_label = NULL;
	const gchar* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	const gchar* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	GtkLabel* _tmp40_ = NULL;
	GtkLabel* _tmp41_ = NULL;
	GtkLabel* _tmp42_ = NULL;
	GtkLabel* _tmp43_ = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp45_ = NULL;
	GtkGrid* _tmp46_ = NULL;
	GtkGrid* _tmp47_ = NULL;
	GtkGrid* _tmp48_ = NULL;
	GtkGrid* _tmp49_ = NULL;
	GtkEntry* _tmp50_ = NULL;
	GtkEntry* _tmp51_ = NULL;
	GtkEntry* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	gchar* _tmp54_ = NULL;
	GtkEntry* _tmp55_ = NULL;
	GtkEntry* _tmp56_ = NULL;
	GtkEntry* _tmp57_ = NULL;
	GtkEntry* _tmp58_ = NULL;
	const gchar* _tmp59_ = NULL;
	const gchar* _tmp60_ = NULL;
	GtkCheckButton* _tmp61_ = NULL;
	GtkCheckButton* _tmp62_ = NULL;
	GtkEntry* _tmp63_ = NULL;
	GtkEntry* _tmp64_ = NULL;
	const gchar* _tmp65_ = NULL;
	GtkLabel* _tmp66_ = NULL;
	GtkLabel* _tmp67_ = NULL;
	const gchar* _tmp68_ = NULL;
	GtkLabel* _tmp69_ = NULL;
	GtkLabel* _tmp70_ = NULL;
	GtkComboBoxText* _tmp71_ = NULL;
	GtkComboBoxText* _tmp72_ = NULL;
	const gchar* _tmp73_ = NULL;
	gint i = 0;
	GList* _tmp74_ = NULL;
	GtkComboBoxText* _tmp93_ = NULL;
	GtkComboBoxText* _tmp94_ = NULL;
	GtkLabel* conn_label = NULL;
	const gchar* _tmp95_ = NULL;
	GtkLabel* _tmp96_ = NULL;
	GtkLabel* _tmp97_ = NULL;
	GtkGrid* _tmp98_ = NULL;
	GtkLabel* _tmp99_ = NULL;
	GtkGrid* _tmp100_ = NULL;
	GtkComboBoxText* _tmp101_ = NULL;
	GtkLabel* _tmp102_ = NULL;
	GtkLabel* _tmp103_ = NULL;
	GtkGrid* _tmp104_ = NULL;
	GtkLabel* _tmp105_ = NULL;
	GtkLabel* _tmp106_ = NULL;
	GtkGrid* _tmp107_ = NULL;
	GtkEntry* _tmp108_ = NULL;
	GtkLabel* _tmp109_ = NULL;
	GtkGrid* _tmp110_ = NULL;
	GtkLabel* _tmp111_ = NULL;
	GtkLabel* _tmp112_ = NULL;
	GtkGrid* _tmp113_ = NULL;
	GtkEntry* _tmp114_ = NULL;
	GtkLabel* _tmp115_ = NULL;
	GtkGrid* _tmp116_ = NULL;
	GtkLabel* _tmp117_ = NULL;
	GtkLabel* _tmp118_ = NULL;
	GtkGrid* _tmp119_ = NULL;
	GtkCheckButton* _tmp120_ = NULL;
	GtkLabel* _tmp121_ = NULL;
	GtkButton* cancel_btn = NULL;
	const gchar* _tmp122_ = NULL;
	GtkButton* _tmp123_ = NULL;
	const gchar* _tmp124_ = NULL;
	GtkButton* _tmp125_ = NULL;
	NMAccessPoint* _tmp126_ = NULL;
	GtkButton* _tmp129_ = NULL;
	GtkStyleContext* _tmp130_ = NULL;
	GtkButton* _tmp131_ = NULL;
	GtkButton* _tmp132_ = NULL;
	GtkBox* _tmp133_ = NULL;
	GtkLabel* _tmp134_ = NULL;
	GtkBox* _tmp135_ = NULL;
	GtkLabel* _tmp136_ = NULL;
	GtkBox* _tmp137_ = NULL;
	GtkGrid* _tmp138_ = NULL;
	GtkBox* _tmp139_ = NULL;
	GtkBox* _tmp140_ = NULL;
	GtkBox* _tmp141_ = NULL;
	GtkBox* _tmp142_ = NULL;
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self = (NetworkWidgetsHotspotDialog*) g_object_new (object_type, NULL);
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = _available;
#line 40 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->available = _tmp0_;
#line 41 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 42 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 43 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_set_border_width ((GtkContainer*) self, (guint) 6);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = g_str_hash;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_str_equal;
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = g_hash_table_new_full (_tmp1_, _tmp2_, _g_free0_, _g_object_unref0_);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 45 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_hash = _tmp3_;
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 47 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	content_area = _tmp5_;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = content_area;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = content_area;
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 48 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 50 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	main_box = _tmp8_;
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 51 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	vbox = _tmp9_;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = vbox;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = vbox;
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp11_, 6);
#line 53 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) _tmp10_, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	ssid_str = NULL;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = active;
#line 56 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp12_ != NULL) {
#line 359 "HotspotDialog.c"
		NMAccessPoint* _tmp13_ = NULL;
		GByteArray* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp13_ = active;
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp14_ = nm_access_point_get_ssid (_tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp15_ = nm_utils_ssid_to_utf8 (_tmp14_);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 57 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp15_;
#line 373 "HotspotDialog.c"
	} else {
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp16_ = _ ("current");
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp17_ = g_strdup (_tmp16_);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (ssid_str);
#line 59 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		ssid_str = _tmp17_;
#line 385 "HotspotDialog.c"
	}
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp18_ = _ ("Wireless Hotspot");
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp19_ = g_strconcat ("<span weight='bold' size='larger'>", _tmp18_, NULL);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp20_ = _tmp19_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp21_ = g_strconcat (_tmp20_, "</span>", NULL);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp22_ = _tmp21_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp23_ = (GtkLabel*) gtk_label_new (_tmp22_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp23_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp24_ = _tmp23_;
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp22_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp20_);
#line 62 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	title = _tmp24_;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp25_ = title;
#line 63 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_use_markup (_tmp25_, TRUE);
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp26_ = title;
#line 64 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp26_, GTK_ALIGN_START);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp27_ = (GtkImage*) gtk_image_new_from_icon_name ("network-wireless-hotspot", GTK_ICON_SIZE_DIALOG);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 66 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	image = _tmp27_;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp28_ = image;
#line 67 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp28_, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp29_ = main_box;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp30_ = image;
#line 68 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp31_ = _ ("Enabling Wireless Hotspot will disconnect from %s network.");
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp32_ = ssid_str;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp33_ = g_strdup_printf (_tmp31_, _tmp32_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp34_ = _tmp33_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp35_ = g_strconcat (_tmp34_, "\n", NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp36_ = _tmp35_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp37_ = _ ("You will not be able to connect to a wireless network while Hotspot is" \
" active.");
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp38_ = g_strconcat (_tmp36_, _tmp37_, NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp39_ = _tmp38_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp40_ = (GtkLabel*) gtk_label_new (_tmp39_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp40_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp41_ = _tmp40_;
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp39_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp36_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp34_);
#line 70 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	info_label = _tmp41_;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp42_ = info_label;
#line 72 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp42_, GTK_ALIGN_START);
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp43_ = info_label;
#line 73 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp43_, 6);
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp44_ = info_label;
#line 74 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_label_set_use_markup (_tmp44_, TRUE);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp45_ = (GtkGrid*) gtk_grid_new ();
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp45_);
#line 76 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	grid = _tmp45_;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp46_ = grid;
#line 77 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp46_, TRUE);
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp47_ = grid;
#line 78 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_row_spacing (_tmp47_, 6);
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp48_ = grid;
#line 79 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_set_column_spacing (_tmp48_, 12);
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp49_ = grid;
#line 80 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_vexpand_set ((GtkWidget*) _tmp49_, TRUE);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp50_ = (GtkEntry*) gtk_entry_new ();
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp50_);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 82 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_entry = _tmp50_;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp51_ = self->priv->ssid_entry;
#line 83 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp51_, TRUE);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp52_ = self->priv->ssid_entry;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp53_ = network_widgets_hotspot_dialog_get_ssid_for_hotspot (self);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp54_ = _tmp53_;
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_text (_tmp52_, _tmp54_);
#line 84 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp54_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp55_ = (GtkEntry*) gtk_entry_new ();
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp55_);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 86 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_entry = _tmp55_;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp56_ = self->priv->key_entry;
#line 87 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp56_, TRUE);
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp57_ = self->priv->key_entry;
#line 88 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_entry_set_visibility (_tmp57_, FALSE);
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp58_ = self->priv->key_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp59_ = _ ("Password needs to be at least 8 characters long.");
#line 89 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_set (_tmp58_, "secondary-icon-tooltip-text", _tmp59_, NULL);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp60_ = _ ("Show Password");
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp61_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp60_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 91 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->check_btn = _tmp61_;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp62_ = self->priv->check_btn;
#line 92 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp62_, "toggled", (GCallback) ___lambda23__gtk_toggle_button_toggled, self, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp63_ = self->priv->ssid_entry;
#line 96 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp63_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp64_ = self->priv->key_entry;
#line 97 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkEditable*) _tmp64_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_editable_changed, self, 0);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp65_ = _ ("Network Name:");
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp66_ = (GtkLabel*) gtk_label_new (_tmp65_);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp66_);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 99 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->ssid_label = _tmp66_;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = self->priv->ssid_label;
#line 100 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp67_, GTK_ALIGN_END);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp68_ = _ ("Password:");
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp69_ = (GtkLabel*) gtk_label_new (_tmp68_);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp69_);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 102 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->key_label = _tmp69_;
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp70_ = self->priv->key_label;
#line 103 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp70_, GTK_ALIGN_END);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp71_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 105 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->conn_combo = _tmp71_;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp72_ = self->priv->conn_combo;
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp73_ = _ ("New…");
#line 106 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_text_append (_tmp72_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID, _tmp73_);
#line 107 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	i = 1;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp74_ = self->priv->available;
#line 611 "HotspotDialog.c"
	{
		GList* connection_collection = NULL;
		GList* connection_it = NULL;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		connection_collection = _tmp74_;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		for (connection_it = connection_collection; connection_it != NULL; connection_it = connection_it->next) {
#line 619 "HotspotDialog.c"
			NMConnection* _tmp75_ = NULL;
			NMConnection* connection = NULL;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp75_ = _g_object_ref0 ((NMConnection*) connection_it->data);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp75_;
#line 626 "HotspotDialog.c"
			{
				NMSettingWireless* setting_wireless = NULL;
				NMConnection* _tmp76_ = NULL;
				NMSettingWireless* _tmp77_ = NULL;
				NMSettingWireless* _tmp78_ = NULL;
				GtkComboBoxText* _tmp79_ = NULL;
				gint _tmp80_ = 0;
				gchar* _tmp81_ = NULL;
				gchar* _tmp82_ = NULL;
				NMSettingWireless* _tmp83_ = NULL;
				GByteArray* _tmp84_ = NULL;
				gchar* _tmp85_ = NULL;
				gchar* _tmp86_ = NULL;
				GHashTable* _tmp87_ = NULL;
				gint _tmp88_ = 0;
				gchar* _tmp89_ = NULL;
				NMConnection* _tmp90_ = NULL;
				NMConnection* _tmp91_ = NULL;
				gint _tmp92_ = 0;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp76_ = connection;
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp77_ = nm_connection_get_setting_wireless (_tmp76_);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp78_ = _g_object_ref0 (_tmp77_);
#line 109 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				setting_wireless = _tmp78_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp79_ = self->priv->conn_combo;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp80_ = i;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp81_ = g_strdup_printf ("%i", _tmp80_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp82_ = _tmp81_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp83_ = setting_wireless;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp84_ = nm_setting_wireless_get_ssid (_tmp83_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp85_ = nm_utils_ssid_to_utf8 (_tmp84_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp86_ = _tmp85_;
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				gtk_combo_box_text_append (_tmp79_, _tmp82_, _tmp86_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp86_);
#line 110 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (_tmp82_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp87_ = self->priv->conn_hash;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp88_ = i;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp89_ = g_strdup_printf ("%i", _tmp88_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp90_ = connection;
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp91_ = _g_object_ref0 (_tmp90_);
#line 111 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				g_hash_table_insert (_tmp87_, _tmp89_, _tmp91_);
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp92_ = i;
#line 112 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				i = _tmp92_ + 1;
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (setting_wireless);
#line 108 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_object_unref0 (connection);
#line 696 "HotspotDialog.c"
			}
		}
	}
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp93_ = self->priv->conn_combo;
#line 115 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_combo_box_set_active_id ((GtkComboBox*) _tmp93_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID);
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp94_ = self->priv->conn_combo;
#line 116 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp94_, "changed", (GCallback) _network_widgets_hotspot_dialog_update_gtk_combo_box_changed, self, 0);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp95_ = _ ("Connection:");
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp96_ = (GtkLabel*) gtk_label_new (_tmp95_);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp96_);
#line 118 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	conn_label = _tmp96_;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp97_ = conn_label;
#line 119 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp97_, GTK_ALIGN_END);
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp98_ = grid;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp99_ = conn_label;
#line 121 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach (_tmp98_, (GtkWidget*) _tmp99_, 0, 0, 1, 1);
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp100_ = grid;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp101_ = self->priv->conn_combo;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp102_ = conn_label;
#line 122 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp100_, (GtkWidget*) _tmp101_, (GtkWidget*) _tmp102_, GTK_POS_RIGHT, 1, 1);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp103_ = (GtkLabel*) gtk_label_new ("");
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp103_);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->dumb);
#line 124 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->dumb = _tmp103_;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp104_ = grid;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp105_ = self->priv->ssid_label;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp106_ = conn_label;
#line 126 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp104_, (GtkWidget*) _tmp105_, (GtkWidget*) _tmp106_, GTK_POS_BOTTOM, 1, 1);
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp107_ = grid;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp108_ = self->priv->ssid_entry;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp109_ = self->priv->ssid_label;
#line 127 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp107_, (GtkWidget*) _tmp108_, (GtkWidget*) _tmp109_, GTK_POS_RIGHT, 1, 1);
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp110_ = grid;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp111_ = self->priv->key_label;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp112_ = self->priv->ssid_label;
#line 128 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp110_, (GtkWidget*) _tmp111_, (GtkWidget*) _tmp112_, GTK_POS_BOTTOM, 1, 1);
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp113_ = grid;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp114_ = self->priv->key_entry;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp115_ = self->priv->key_label;
#line 129 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp113_, (GtkWidget*) _tmp114_, (GtkWidget*) _tmp115_, GTK_POS_RIGHT, 1, 1);
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp116_ = grid;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp117_ = self->priv->dumb;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp118_ = self->priv->key_label;
#line 130 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp116_, (GtkWidget*) _tmp117_, (GtkWidget*) _tmp118_, GTK_POS_BOTTOM, 1, 1);
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp119_ = grid;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp120_ = self->priv->check_btn;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp121_ = self->priv->dumb;
#line 131 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_grid_attach_next_to (_tmp119_, (GtkWidget*) _tmp120_, (GtkWidget*) _tmp121_, GTK_POS_RIGHT, 1, 1);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp122_ = _ ("Cancel");
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp123_ = (GtkButton*) gtk_button_new_with_label (_tmp122_);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp123_);
#line 133 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	cancel_btn = _tmp123_;
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp124_ = _ ("Enable Hotspot");
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp125_ = (GtkButton*) gtk_button_new_with_label (_tmp124_);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_object_ref_sink (_tmp125_);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 134 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv->create_btn = _tmp125_;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp126_ = active;
#line 135 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp126_ != NULL) {
#line 812 "HotspotDialog.c"
		GtkButton* _tmp127_ = NULL;
		const gchar* _tmp128_ = NULL;
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp127_ = self->priv->create_btn;
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp128_ = _ ("Switch to Hotspot");
#line 136 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_button_set_label (_tmp127_, _tmp128_);
#line 821 "HotspotDialog.c"
	}
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp129_ = self->priv->create_btn;
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp130_ = gtk_widget_get_style_context ((GtkWidget*) _tmp129_);
#line 139 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_style_context_add_class (_tmp130_, "suggested-action");
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp131_ = cancel_btn;
#line 141 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp131_, 0);
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp132_ = self->priv->create_btn;
#line 142 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_dialog_add_action_widget ((GtkDialog*) self, (GtkWidget*) _tmp132_, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp133_ = vbox;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp134_ = title;
#line 144 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp133_, (GtkWidget*) _tmp134_);
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp135_ = vbox;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp136_ = info_label;
#line 145 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp135_, (GtkWidget*) _tmp136_);
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp137_ = vbox;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp138_ = grid;
#line 146 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp137_, (GtkWidget*) _tmp138_);
#line 148 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update (self);
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp139_ = main_box;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp140_ = vbox;
#line 150 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp139_, (GtkWidget*) _tmp140_);
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp141_ = content_area;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp142_ = main_box;
#line 151 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp141_, (GtkWidget*) _tmp142_);
#line 152 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (cancel_btn);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (conn_label);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (grid);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (info_label);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (image);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (title);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (ssid_str);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (vbox);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (main_box);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (content_area);
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return self;
#line 893 "HotspotDialog.c"
}


NetworkWidgetsHotspotDialog* network_widgets_hotspot_dialog_new (NMAccessPoint* active, GList* _available) {
#line 39 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return network_widgets_hotspot_dialog_construct (NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, active, _available);
#line 900 "HotspotDialog.c"
}


static guint8* string_get_data (const gchar* self, int* result_length1) {
	guint8* result;
	guint8* res = NULL;
	gint res_length1 = 0;
	gint _res_size_ = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
#line 1398 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1399 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1399 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1399 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1400 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1400 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1400 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1400 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 944 "HotspotDialog.c"
	}
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1401 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 950 "HotspotDialog.c"
}


GByteArray* network_widgets_hotspot_dialog_get_ssid (NetworkWidgetsHotspotDialog* self) {
	GByteArray* result = NULL;
	GByteArray* byte_array = NULL;
	GByteArray* _tmp0_ = NULL;
	GtkEntry* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
#line 155 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_byte_array_new ();
#line 156 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	byte_array = _tmp0_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->ssid_entry;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = string_get_data (_tmp2_, &_tmp3__length1);
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _tmp3_;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4__length1 = _tmp3__length1;
#line 157 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_byte_array_append (byte_array, _tmp4_, _tmp4__length1);
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	result = byte_array;
#line 158 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 986 "HotspotDialog.c"
}


gchar* network_widgets_hotspot_dialog_get_key (NetworkWidgetsHotspotDialog* self) {
	gchar* result = NULL;
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 161 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->key_entry;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp2_;
#line 162 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 1007 "HotspotDialog.c"
}


NMConnection* network_widgets_hotspot_dialog_get_selected_connection (NetworkWidgetsHotspotDialog* self) {
	NMConnection* result = NULL;
	GHashTable* _tmp0_ = NULL;
	GtkComboBoxText* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gconstpointer _tmp3_ = NULL;
	NMConnection* _tmp4_ = NULL;
#line 165 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_hash;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = self->priv->conn_combo;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = g_hash_table_lookup (_tmp0_, _tmp2_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = _g_object_ref0 ((NMConnection*) _tmp3_);
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp4_;
#line 166 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 1034 "HotspotDialog.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1057 "HotspotDialog.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1070 "HotspotDialog.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1101 "HotspotDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 1110 "HotspotDialog.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1126 "HotspotDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 1137 "HotspotDialog.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 1151 "HotspotDialog.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 1165 "HotspotDialog.c"
	}
	__finally4:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 1176 "HotspotDialog.c"
	}
}


static gchar* network_widgets_hotspot_dialog_get_ssid_for_hotspot (NetworkWidgetsHotspotDialog* self) {
	gchar* result = NULL;
	gchar* hostname = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GError * _inner_error_ = NULL;
#line 169 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = g_strdup ("");
#line 170 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	hostname = _tmp0_;
#line 1197 "HotspotDialog.c"
	{
		gchar* _tmp1_ = NULL;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		g_spawn_command_line_sync ("hostname", &_tmp1_, NULL, NULL, &_inner_error_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		hostname = _tmp1_;
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_inner_error_->domain == G_SPAWN_ERROR) {
#line 1210 "HotspotDialog.c"
				goto __catch3_g_spawn_error;
			}
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (hostname);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			g_clear_error (&_inner_error_);
#line 172 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			return NULL;
#line 1221 "HotspotDialog.c"
		}
	}
	goto __finally3;
	__catch3_g_spawn_error:
	{
		GError* e = NULL;
		GError* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		e = _inner_error_;
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_inner_error_ = NULL;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp2_ = e;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp3_ = _tmp2_->message;
#line 174 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		g_warning ("HotspotDialog.vala:174: %s\n", _tmp3_);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_error_free0 (e);
#line 1242 "HotspotDialog.c"
	}
	__finally3:
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (hostname);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		g_clear_error (&_inner_error_);
#line 171 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		return NULL;
#line 1255 "HotspotDialog.c"
	}
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = hostname;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = string_strip (_tmp4_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = _tmp5_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = string_replace (_tmp6_, "\n", "");
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = _tmp7_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (_tmp6_);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	result = _tmp8_;
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (hostname);
#line 177 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	return result;
#line 1275 "HotspotDialog.c"
}


static void _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback (gpointer self) {
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_update ((NetworkWidgetsHotspotDialog*) self);
#line 1282 "HotspotDialog.c"
}


static gchar* string_to_utf8 (const gchar* self, int* result_length1) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gchar* _tmp2_ = NULL;
	gint _result__length1 = 0;
	gint __result__size_ = 0;
	gint _tmp3_ = 0;
	gchar* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
	gchar* _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
#line 1405 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = g_new0 (gchar, _tmp1_ + 1);
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp2_;
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result__length1 = _tmp1_ + 1;
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	__result__size_ = _result__length1;
#line 1407 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = _result__length1;
#line 1407 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result__length1 = _tmp3_ - 1;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4_ = _result_;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4__length1 = _result__length1;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp5_ = strlen (self);
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp6_ = _tmp5_;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	memcpy (_tmp4_, self, (gsize) _tmp6_);
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp7_ = _result_;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp7__length1 = _result__length1;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*result_length1 = _tmp7__length1;
#line 1337 "HotspotDialog.c"
	}
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp7_;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1343 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_update (NetworkWidgetsHotspotDialog* self) {
	gboolean sensitive = FALSE;
	GtkComboBoxText* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GtkLabel* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	GtkEntry* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	GtkEntry* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	GtkCheckButton* _tmp10_ = NULL;
	gboolean _tmp11_ = FALSE;
	GtkLabel* _tmp12_ = NULL;
	gboolean _tmp13_ = FALSE;
	gchar* secret = NULL;
	NMConnection* _tmp14_ = NULL;
	NMConnection* _tmp15_ = NULL;
	gboolean _tmp16_ = FALSE;
	GtkComboBoxText* _tmp38_ = NULL;
	const gchar* _tmp39_ = NULL;
	gboolean _tmp51_ = FALSE;
	gboolean _tmp52_ = FALSE;
	GtkEntry* _tmp53_ = NULL;
	const gchar* _tmp54_ = NULL;
	GtkButton* _tmp61_ = NULL;
	gboolean _tmp62_ = FALSE;
	GtkEntry* _tmp63_ = NULL;
	const gchar* _tmp64_ = NULL;
	gint _tmp65_ = 0;
	gchar* _tmp66_ = NULL;
	gchar* _tmp67_ = NULL;
	gint _tmp67__length1 = 0;
	gboolean _tmp68_ = FALSE;
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp0_ = self->priv->conn_combo;
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp1_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp0_);
#line 181 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	sensitive = g_strcmp0 (_tmp1_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) == 0;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp2_ = self->priv->ssid_label;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp3_ = sensitive;
#line 182 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp2_, _tmp3_);
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp4_ = self->priv->key_label;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp5_ = sensitive;
#line 183 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, _tmp5_);
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp6_ = self->priv->ssid_entry;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp7_ = sensitive;
#line 185 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp6_, _tmp7_);
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp8_ = self->priv->key_entry;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp9_ = sensitive;
#line 186 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, _tmp9_);
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp10_ = self->priv->check_btn;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp11_ = sensitive;
#line 188 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, _tmp11_);
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp12_ = self->priv->dumb;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp13_ = sensitive;
#line 189 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp12_, _tmp13_);
#line 191 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	secret = NULL;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp14_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp15_ = _tmp14_;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp16_ = _tmp15_ != NULL;
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (_tmp15_);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp16_) {
#line 1438 "HotspotDialog.c"
		NMSettingWirelessSecurity* setting_wireless_security = NULL;
		NMConnection* _tmp17_ = NULL;
		NMConnection* _tmp18_ = NULL;
		NMSettingWirelessSecurity* _tmp19_ = NULL;
		NMSettingWirelessSecurity* _tmp20_ = NULL;
		NMSettingWirelessSecurity* _tmp21_ = NULL;
		gchar* key_mgmt = NULL;
		NMSettingWirelessSecurity* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		const gchar* _tmp35_ = NULL;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp17_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp18_ = _tmp17_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp19_ = nm_connection_get_setting_wireless_security (_tmp18_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp20_ = _g_object_ref0 (_tmp19_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp21_ = _tmp20_;
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp18_);
#line 193 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		setting_wireless_security = _tmp21_;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp22_ = setting_wireless_security;
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp23_ = nm_setting_wireless_security_get_key_mgmt (_tmp22_);
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp24_ = g_strdup (_tmp23_);
#line 195 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		key_mgmt = _tmp24_;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp25_ = key_mgmt;
#line 196 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		if (g_strcmp0 (_tmp25_, "none") == 0) {
#line 1477 "HotspotDialog.c"
			NMSettingWirelessSecurity* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp26_ = setting_wireless_security;
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp27_ = nm_setting_wireless_security_get_wep_key (_tmp26_, (guint32) 0);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp28_ = g_strdup (_tmp27_);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 197 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp28_;
#line 1491 "HotspotDialog.c"
		} else {
			gboolean _tmp29_ = FALSE;
			const gchar* _tmp30_ = NULL;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp30_ = key_mgmt;
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			if (g_strcmp0 (_tmp30_, "wpa-psk") == 0) {
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp29_ = TRUE;
#line 1501 "HotspotDialog.c"
			} else {
				const gchar* _tmp31_ = NULL;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp31_ = key_mgmt;
#line 199 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp29_ = g_strcmp0 (_tmp31_, "wpa-none") == 0;
#line 1508 "HotspotDialog.c"
			}
#line 198 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			if (_tmp29_) {
#line 1512 "HotspotDialog.c"
				NMSettingWirelessSecurity* _tmp32_ = NULL;
				const gchar* _tmp33_ = NULL;
				gchar* _tmp34_ = NULL;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp32_ = setting_wireless_security;
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp33_ = nm_setting_wireless_security_get_psk (_tmp32_);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_tmp34_ = g_strdup (_tmp33_);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				_g_free0 (secret);
#line 200 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
				secret = _tmp34_;
#line 1526 "HotspotDialog.c"
			}
		}
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp35_ = secret;
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp35_ == NULL) {
#line 1533 "HotspotDialog.c"
			NMConnection* connection = NULL;
			NMConnection* _tmp36_ = NULL;
			NMConnection* _tmp37_ = NULL;
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp36_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 204 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			connection = _tmp36_;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp37_ = connection;
#line 205 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			network_utils_hotspot_update_secrets (G_TYPE_CHECK_INSTANCE_CAST (_tmp37_, nm_remote_connection_get_type (), NMRemoteConnection), _network_widgets_hotspot_dialog_update_network_utils_hotspot_update_secret_callback, self);
#line 203 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_object_unref0 (connection);
#line 1547 "HotspotDialog.c"
		}
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (key_mgmt);
#line 192 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (setting_wireless_security);
#line 1553 "HotspotDialog.c"
	}
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp38_ = self->priv->conn_combo;
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp39_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp38_);
#line 209 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp39_, NETWORK_WIDGETS_HOTSPOT_DIALOG_NEW_ID) != 0) {
#line 1561 "HotspotDialog.c"
		GtkEntry* _tmp40_ = NULL;
		NMConnection* _tmp41_ = NULL;
		NMConnection* _tmp42_ = NULL;
		NMSettingWireless* _tmp43_ = NULL;
		GByteArray* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		GtkEntry* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp40_ = self->priv->ssid_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp41_ = network_widgets_hotspot_dialog_get_selected_connection (self);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp42_ = _tmp41_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp43_ = nm_connection_get_setting_wireless (_tmp42_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp44_ = nm_setting_wireless_get_ssid (_tmp43_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp45_ = nm_utils_ssid_to_utf8 (_tmp44_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp46_ = _tmp45_;
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp40_, _tmp46_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_free0 (_tmp46_);
#line 210 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_g_object_unref0 (_tmp42_);
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp47_ = secret;
#line 211 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		if (_tmp47_ == NULL) {
#line 1596 "HotspotDialog.c"
			gchar* _tmp48_ = NULL;
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_tmp48_ = g_strdup ("");
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			_g_free0 (secret);
#line 212 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
			secret = _tmp48_;
#line 1604 "HotspotDialog.c"
		}
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp49_ = self->priv->key_entry;
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp50_ = secret;
#line 215 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_text (_tmp49_, _tmp50_);
#line 1612 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp53_ = self->priv->ssid_entry;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp54_ = gtk_entry_get_text (_tmp53_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (g_strcmp0 (_tmp54_, "") != 0) {
#line 1620 "HotspotDialog.c"
		GtkEntry* _tmp55_ = NULL;
		const gchar* _tmp56_ = NULL;
		gint _tmp57_ = 0;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		gint _tmp59__length1 = 0;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp55_ = self->priv->key_entry;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp56_ = gtk_entry_get_text (_tmp55_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp58_ = string_to_utf8 (_tmp56_, &_tmp57_);
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = _tmp58_;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59__length1 = _tmp57_;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = _tmp57_ >= 8;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp59_ = (g_free (_tmp59_), NULL);
#line 1641 "HotspotDialog.c"
	} else {
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp52_ = FALSE;
#line 1645 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp52_) {
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = TRUE;
#line 1651 "HotspotDialog.c"
	} else {
		gboolean _tmp60_ = FALSE;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp60_ = sensitive;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp51_ = !_tmp60_;
#line 1658 "HotspotDialog.c"
	}
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp61_ = self->priv->create_btn;
#line 218 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp61_, _tmp51_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp63_ = self->priv->key_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp66_ = string_to_utf8 (_tmp64_, &_tmp65_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = _tmp66_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67__length1 = _tmp65_;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp68_ = _tmp65_ < 8;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_tmp67_ = (g_free (_tmp67_), NULL);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp68_) {
#line 1680 "HotspotDialog.c"
		GtkEntry* _tmp69_ = NULL;
		const gchar* _tmp70_ = NULL;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp69_ = self->priv->key_entry;
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp70_ = gtk_entry_get_text (_tmp69_);
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = g_strcmp0 (_tmp70_, "") != 0;
#line 1689 "HotspotDialog.c"
	} else {
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp62_ = FALSE;
#line 1693 "HotspotDialog.c"
	}
#line 220 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	if (_tmp62_) {
#line 1697 "HotspotDialog.c"
		GtkEntry* _tmp71_ = NULL;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp71_ = self->priv->key_entry;
#line 221 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp71_, GTK_ENTRY_ICON_SECONDARY, "process-error-symbolic");
#line 1703 "HotspotDialog.c"
	} else {
		GtkEntry* _tmp72_ = NULL;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		_tmp72_ = self->priv->key_entry;
#line 223 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
		gtk_entry_set_icon_from_icon_name (_tmp72_, GTK_ENTRY_ICON_SECONDARY, "");
#line 1710 "HotspotDialog.c"
	}
#line 180 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_free0 (secret);
#line 1714 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_class_init (NetworkWidgetsHotspotDialogClass * klass) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	network_widgets_hotspot_dialog_parent_class = g_type_class_peek_parent (klass);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	g_type_class_add_private (klass, sizeof (NetworkWidgetsHotspotDialogPrivate));
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_hotspot_dialog_finalize;
#line 1725 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_instance_init (NetworkWidgetsHotspotDialog * self) {
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self->priv = NETWORK_WIDGETS_HOTSPOT_DIALOG_GET_PRIVATE (self);
#line 1732 "HotspotDialog.c"
}


static void network_widgets_hotspot_dialog_finalize (GObject* obj) {
	NetworkWidgetsHotspotDialog * self;
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_HOTSPOT_DIALOG, NetworkWidgetsHotspotDialog);
#line 23 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_entry);
#line 24 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_entry);
#line 26 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->ssid_label);
#line 27 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->key_label);
#line 29 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->conn_combo);
#line 31 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->check_btn);
#line 32 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->dumb);
#line 34 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_object_unref0 (self->priv->create_btn);
#line 36 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	_g_hash_table_unref0 (self->priv->conn_hash);
#line 21 "/builddir/build/BUILD/switchboard-plug-networking-0.1.0.3/src/Widgets/Hotspot/HotspotDialog.vala"
	G_OBJECT_CLASS (network_widgets_hotspot_dialog_parent_class)->finalize (obj);
#line 1760 "HotspotDialog.c"
}


GType network_widgets_hotspot_dialog_get_type (void) {
	static volatile gsize network_widgets_hotspot_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&network_widgets_hotspot_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsHotspotDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_hotspot_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsHotspotDialog), 0, (GInstanceInitFunc) network_widgets_hotspot_dialog_instance_init, NULL };
		GType network_widgets_hotspot_dialog_type_id;
		network_widgets_hotspot_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NetworkWidgetsHotspotDialog", &g_define_type_info, 0);
		g_once_init_leave (&network_widgets_hotspot_dialog_type_id__volatile, network_widgets_hotspot_dialog_type_id);
	}
	return network_widgets_hotspot_dialog_type_id__volatile;
}



